Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeCredit

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeCredit

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeCredit

extends java.lang.Object
implements EPPCodecComponent

`EPPFeeCredit` represents the credit value information returned by the server.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
`static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)

Constructor Summary
`EPPFeeCredit()` Default constructor.
`EPPFeeCredit(java.math.BigDecimal aCredit)` Create `EPPFeeCredit` instance with the required credit value.
`EPPFeeCredit(java.math.BigDecimal aCredit, java.lang.String aDescription)` Create `EPPFeeCredit` instance with the required credit value and the optional description.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPFeeCredit`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPFeeCredit` element aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPFeeCredit` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPFeeCredit` compare.
`java.math.BigDecimal` | `getCredit()` Gets the credit value.
`java.lang.String` | `getDescription()` Gets the description value.
`boolean` | `hasDescription()` Is the description defined?
`void` | `setCredit(java.math.BigDecimal aCredit)` Sets the credit value.
`void` | `setDescription(java.lang.String aDescription)` Sets the description value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the phase local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the phase qualified name (prefix and local name)

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeCredit

    public EPPFeeCredit()

  Default constructor. The command value MUST be set using the `setCredit(BigDecimal)` method.

### EPPFeeCredit

    public EPPFeeCredit(java.math.BigDecimal aCredit)

  Create `EPPFeeCredit` instance with the required credit value.

  Parameters:
    `aCredit` - The credit value

### EPPFeeCredit

    public EPPFeeCredit(java.math.BigDecimal aCredit,
                        java.lang.String aDescription)

  Create `EPPFeeCredit` instance with the required credit value and the optional description.

  Parameters:
    `aCredit` - The credit value
    `aDescription` - Human-readable description

Method Detail

### hasDescription

    public boolean hasDescription()

  Is the description defined?

  Returns:
    `true` if the description is defined; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Gets the description value.

  Returns:
    Description if defined; `null` otherwise.

### setDescription

    public void setDescription(java.lang.String aDescription)

  Sets the description value.

  Parameters:
    `aDescription` - Description value.

### getCredit

    public java.math.BigDecimal getCredit()

  Gets the credit value.

  Returns:
    Credit value

### setCredit

    public void setCredit(java.math.BigDecimal aCredit)

  Sets the credit value.

  Parameters:
    `aCredit` - Credit value

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPFeeCredit`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPFeeCredit`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPFeeCredit` element aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPFeeCredit` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPFeeCredit` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the `EPPFeeCredit` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPFeeCredit` instance.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPFeeCredit` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPFeeCredit` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.